SEQanswers

Go Back   SEQanswers > Introductions



Similar Threads
Thread Thread Starter Forum Replies Last Post
Cufflinks 2.2.0 installation issue shocker8786 Bioinformatics 3 03-31-2014 10:24 AM
ABySS error thh32 Bioinformatics 2 02-19-2014 05:07 AM
From Abyss to transAbyss rneme Introductions 0 12-20-2012 10:03 AM
[ABySS] Problems with LSF and ABySS 1.3.4 bstamps De novo discovery 0 10-25-2012 09:14 AM
BEDtools v2.14.3 installation issue for OSX Lion? : bamToBed grimmer Bioinformatics 2 11-21-2011 06:21 PM

Reply
 
Thread Tools
Old 07-23-2014, 02:55 AM   #1
Shreyasi
Junior Member
 
Location: Delhi

Join Date: Jul 2014
Posts: 7
Default ABySS installation issue

Hello!
I have downloaded the ABySS for all platforms and extracted it to the home folder of my computer.
Now,I just cannot install ABySS correctly!
Can anyone tell me how they installed it?
ABySS directed me to download a certain C++ package which I had successfully downloaded,but I cannot run the standard abyss assembly with the ./abyss-pe command.
Shreyasi is offline   Reply With Quote
Old 07-23-2014, 03:09 AM   #2
GenoMax
Senior Member
 
Location: East Coast USA

Join Date: Feb 2008
Posts: 6,885
Default

You need to provide some additional information. What OS you are using? Did you compile the program after downloading it (https://github.com/bcgsc/abyss#compi...-from-source)?
GenoMax is offline   Reply With Quote
Old 07-23-2014, 03:24 AM   #3
Shreyasi
Junior Member
 
Location: Delhi

Join Date: Jul 2014
Posts: 7
Default

Quote:
Originally Posted by GenoMax View Post
You need to provide some additional information. What OS you are using? Did you compile the program after downloading it (https://github.com/bcgsc/abyss#compi...-from-source)?
I'm using Ubuntu 11.10
when I type the following command for a test read
saikat@rumtek:~/SOFTWARES/abyss-1.5.2/bin> ./abyss-pe k=57 name=trial lib='trial' \trial='reads1.fastq reads2.fastq'
the message I get is:
ABYSS -k57 -q3 --coverage-hist=coverage.hist -s trial-bubbles.fa -o trial-1.fa reads1.fastq reads2.fastq
/bin/bash: ABYSS: command not found
make: *** [trial-1.fa] Error 127

whereas the reads are URL the link on the abyss help page
wget http://www.bcgsc.ca/platform/bioinfo...st-data.tar.gz
and the reads have been pased in the bin folder of abyss.
Shreyasi is offline   Reply With Quote
Old 07-23-2014, 03:41 AM   #4
GenoMax
Senior Member
 
Location: East Coast USA

Join Date: Feb 2008
Posts: 6,885
Default

Command you need to use to try test data set is (from the page I linked above)

Code:
$ ./abyss-pe k=25 name=test in='test-data/reads1.fastq test-data/reads2.fastq'
If your test reads are not in "test-data" directory under 'bin' then you should use

Code:
$ ./abyss-pe k=25 name=test in='reads1.fastq reads2.fastq'
GenoMax is offline   Reply With Quote
Old 07-23-2014, 03:47 AM   #5
Shreyasi
Junior Member
 
Location: Delhi

Join Date: Jul 2014
Posts: 7
Default

If your test reads are not in "test-data" directory under 'bin' then you should use

Code:
$ ./abyss-pe k=25 name=test in='reads1.fastq reads2.fastq'
[/QUOTE]

and I got this message:
-bash: /abyss-pe: No such file or directory
abyss didnt get installed properly possibly.
and the packages in the link came with the abyss installation folder itself!
Shreyasi is offline   Reply With Quote
Old 07-23-2014, 03:52 AM   #6
Shreyasi
Junior Member
 
Location: Delhi

Join Date: Jul 2014
Posts: 7
Default

and I did run compile && make.
Shreyasi is offline   Reply With Quote
Old 07-23-2014, 03:59 AM   #7
GenoMax
Senior Member
 
Location: East Coast USA

Join Date: Feb 2008
Posts: 6,885
Default

Can you post a listing (ls -l) of the bin directory for abyss? Did you get any errors when you compiled (i.e. use make)?
GenoMax is offline   Reply With Quote
Old 07-23-2014, 10:12 PM   #8
Shreyasi
Junior Member
 
Location: Delhi

Join Date: Jul 2014
Posts: 7
Default

Quote:
Originally Posted by GenoMax View Post
Can you post a listing (ls -l) of the bin directory for abyss? Did you get any errors when you compiled (i.e. use make)?
yes,sure!

shreyasi@dwarka:~/abyss-1.5.2/bin$ ls -l
total 7220
-rwxrwxrwx 1 1307 559 975 2012-04-27 04:33 abyss-adjtodot.pl
-rwxrwxrwx 1 1307 559 6491 2014-06-03 05:03 abyss-bloom-dist.mk
-rwxrwxrwx 1 1307 559 1135 2014-06-03 05:03 abyss-bowtie
-rwxrwxrwx 1 1307 559 1192 2014-06-03 05:03 abyss-bowtie2
-rwxrwxrwx 1 1307 559 1208 2014-06-03 05:03 abyss-bwa
-rwxrwxrwx 1 1307 559 1454 2014-06-03 05:03 abyss-bwamem
-rwxrwxrwx 1 1307 559 1362 2014-06-03 05:03 abyss-bwasw
-rwxrwxrwx 1 1307 559 1997 2012-04-27 04:33 abyss-cstont
-rwxrwxrwx 1 1307 559 2536 2013-02-05 03:15 abyss-fac.pl
-rwxrwxrwx 1 1307 559 1280 2014-06-03 05:03 abyss-fatoagp
-rwxrwxrwx 1 1307 559 1482 2014-06-24 03:36 abyss-joindist
-rwxrwxrwx 1 1307 559 39 2014-06-03 05:03 abyss-kaligner
-rwxrwxrwx 1 1307 559 14905 2014-06-03 05:03 abyss-pe
-rwxrwxrwx 1 1307 559 4501 2014-06-03 05:03 abyss-samtoafg
-rwxrwxrwx 1 1307 559 209 2014-06-03 05:03 abyss-tabtomd
-rw-r--r-- 1 root root 14539 2014-07-23 11:06 Makefile
-rwxrwxrwx 1 1307 559 294 2014-07-08 23:38 Makefile.am
-rwxrwxrwx 1 1307 559 14310 2014-07-10 04:37 Makefile.in
-rw-r--r-- 1 shreyasi shreyasi 3636380 2013-02-05 06:07 reads1.fastq
-rw-r--r-- 1 shreyasi shreyasi 3636380 2013-02-05 06:07 reads2.fastq

Where the executable files are highlighted in green as they should be.
Shreyasi is offline   Reply With Quote
Old 07-23-2014, 11:00 PM   #9
Shreyasi
Junior Member
 
Location: Delhi

Join Date: Jul 2014
Posts: 7
Default

the error I get upon entering sudo apt-get install abyss is:
root@dwarka:/home/shreyasi/abyss-1.5.2# sudo apt-get install abyss
Reading package lists... 87%
Reading package lists... Error!
E: Encountered a section with no Package: header
E: Problem with MergeList /var/lib/apt/lists/in.archive.ubuntu.com_ubuntu_dists_oneiric-updates_main_i18n_Translation-en
E: The package lists or status file could not be parsed or opened.
root@dwarka:/home/shreyasi/abyss-1.5.2#
root@dwarka:/home/shreyasi/abyss-1.5.2#
root@dwarka:/home/shreyasi/abyss-1.5.2# sudo apt-get install abyss
Reading package lists... Error!
E: Encountered a section with no Package: header
E: Problem with MergeList /var/lib/apt/lists/in.archive.ubuntu.com_ubuntu_dists_oneiric-updates_main_i18n_Translation-en
E: The package lists or status file could not be parsed or opened.
root@dwarka:/home/shreyasi/abyss-1.5.2#
Shreyasi is offline   Reply With Quote
Old 07-24-2014, 03:03 AM   #10
GenoMax
Senior Member
 
Location: East Coast USA

Join Date: Feb 2008
Posts: 6,885
Default

Quote:
Originally Posted by Shreyasi View Post
yes,sure!

shreyasi@dwarka:~/abyss-1.5.2/bin$ ls -l
total 7220

-rwxrwxrwx 1 1307 559 14905 2014-06-03 05:03 abyss-pe

-rw-r--r-- 1 shreyasi shreyasi 3636380 2013-02-05 06:07 reads1.fastq
-rw-r--r-- 1 shreyasi shreyasi 3636380 2013-02-05 06:07 reads2.fastq


Where the executable files are highlighted in green as they should be.
The relevant files are all there so I am not certain why you are getting an error about abyss-pe not found.

Can you try the following (assuming you are in the bin directory)?

Code:
$ ./abyss-pe
Does that print abyss help message to the screen?
GenoMax is offline   Reply With Quote
Reply

Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off




All times are GMT -8. The time now is 03:15 AM.


Powered by vBulletin® Version 3.8.9
Copyright ©2000 - 2019, vBulletin Solutions, Inc.
Single Sign On provided by vBSSO